package it.sw.pa.comune.artegna.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class DisponibilitaDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(DisponibilitaDTO.class);
        DisponibilitaDTO disponibilitaDTO1 = new DisponibilitaDTO();
        disponibilitaDTO1.setId(1L);
        DisponibilitaDTO disponibilitaDTO2 = new DisponibilitaDTO();
        assertThat(disponibilitaDTO1).isNotEqualTo(disponibilitaDTO2);
        disponibilitaDTO2.setId(disponibilitaDTO1.getId());
        assertThat(disponibilitaDTO1).isEqualTo(disponibilitaDTO2);
        disponibilitaDTO2.setId(2L);
        assertThat(disponibilitaDTO1).isNotEqualTo(disponibilitaDTO2);
        disponibilitaDTO1.setId(null);
        assertThat(disponibilitaDTO1).isNotEqualTo(disponibilitaDTO2);
    }
}
